%define upstream_name    Test2-Suite
%define upstream_version 0.000127

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Internal representation of an ordered subset
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test2/%{upstream_name}-%{upstream_version}.tar.gz

# Test2::API version from Test2 in META

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Importer) >= 0.24.0
BuildRequires: perl(Module::Pluggable) >= 2.700.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Sub::Info) >= 0.2.0
BuildRequires: perl(Term::Table) >= 0.13.0
BuildRequires: perl(Test2::API) >= 1.302.158
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(overload)
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
This is the big-daddy bundle. This bundle includes nearly every tool, and
several plugins, that the Test2 author uses. This bundle is used
extensively to test the Test2::Suite manpage itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.0.127-3.mga9
+ Revision: 1819578
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 0.0.127-2.mga8
+ Revision: 1537521
- Mageia 8 Mass Rebuild

* Sun Nov 03 2019 tv <tv> 0.0.127-1.mga8
+ Revision: 1457426
- update to 0.000127

* Fri Aug 30 2019 tv <tv> 0.0.126-1.mga8
+ Revision: 1435420
- update to 0.000126

* Sun Aug 25 2019 tv <tv> 0.0.125-1.mga8
+ Revision: 1431986
- update to 0.000125

* Sat Jun 29 2019 tv <tv> 0.0.122-1.mga8
+ Revision: 1415967
- update to 0.000122

* Sun Mar 17 2019 tv <tv> 0.0.119-1.mga7
+ Revision: 1378269
- update to 0.000119

* Mon Jan 21 2019 tv <tv> 0.0.118-1.mga7
+ Revision: 1358921
- update to 0.000118

* Wed Dec 05 2018 tv <tv> 0.0.117-1.mga7
+ Revision: 1338433
- update to 0.000117

* Fri Nov 30 2018 tv <tv> 0.0.116-1.mga7
+ Revision: 1336800
- update to 0.000116

* Thu Sep 20 2018 umeabot <umeabot> 0.0.115-2.mga7
+ Revision: 1286962
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 tv <tv> 0.0.115-1.mga7
+ Revision: 1243212
- update to 0.000115

* Sun Apr 22 2018 tv <tv> 0.0.114-1.mga7
+ Revision: 1221062
- update to 0.000114

* Thu Mar 15 2018 tv <tv> 0.0.111-1.mga7
+ Revision: 1209595
- update to 0.000111

* Wed Mar 14 2018 tv <tv> 0.0.108-1.mga7
+ Revision: 1209282
- update to 0.000108

* Fri Mar 09 2018 tv <tv> 0.0.106-1.mga7
+ Revision: 1207863
- update to 0.000106

* Sat Mar 03 2018 tv <tv> 0.0.102-1.mga7
+ Revision: 1206278
- update to 0.000102

* Thu Feb 15 2018 tv <tv> 0.0.100-1.mga7
+ Revision: 1201425
- update to 0.000100

* Tue Dec 12 2017 tv <tv> 0.0.97-1.mga7
+ Revision: 1182393
- update to 0.000097

* Sun Dec 10 2017 tv <tv> 0.0.96-1.mga7
+ Revision: 1181938
- update to 0.000096

* Sat Dec 02 2017 tv <tv> 0.0.94-1.mga7
+ Revision: 1180654
- update to 0.000094

* Sun Nov 19 2017 tv <tv> 0.0.84-1.mga7
+ Revision: 1177853
- update to 0.000084

* Fri Oct 27 2017 tv <tv> 0.0.83-1.mga7
+ Revision: 1173992
- update to 0.000083

* Tue Oct 03 2017 tv <tv> 0.0.77-2.mga7
+ Revision: 1166710
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 0.0.77-1.mga7
+ Revision: 1155867
- new release

* Sat Jul 22 2017 shlomif <shlomif> 0.0.72-1.mga7
+ Revision: 1128157
- modernize spec
- import from cpan2dist


* Fri Jul 21 2017 cpan2dist 0.000072-1mga
- initial mageia release, generated with cpan2dist
